### Method

# Adw TabView set_page_pinned

#### Declaration [src]

    void
    adw_tab_view_set_page_pinned (
      AdwTabView* self,
      AdwTabPage* page,
      gboolean pinned
    )

#### Description [src]

Pins or unpins `page`.

Pinned pages are guaranteed to be placed before all non-pinned pages; at any given moment the first `AdwTabView:n-pinned-pages` pages in `self` are guaranteed to be pinned.

When a page is pinned or unpinned, it’s automatically reordered: pinning a page moves it after other pinned pages; unpinning a page moves it before other non-pinned pages.

Pinned pages can still be reordered between each other.

`AdwTabBar` will display pinned pages in a compact form, never showing the title or close button, and only showing a single icon, selected in the following order:

1. `AdwTabPage:indicator-icon`
2. A spinner if `AdwTabPage:loading` is `TRUE`
3. `AdwTabPage:icon`
4. `AdwTabView:default-icon`

Pinned pages cannot be closed by default, see `AdwTabView::close-page` for how to override that behavior.

Changes the value of the `AdwTabPage:pinned` property.

Available since: | 1.0

#### Parameters

`page` | `AdwTabPage`
| A page of `self`.
| The data is owned by the caller of the function.
`pinned` | `gboolean`
| Whether `page` should be pinned.